Bug 1310380 - SELinux is preventing ModemManager from 'read' accesses on the file passwd.
SELinux is preventing ModemManager from 'read' accesses on the file passwd.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
24
x86_64 Unspecified
medium Severity high
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:24bea2469ae8219f1fcc92eaadd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-20 22:46 EST by Charles R. Anderson
Modified: 2016-02-25 10:28 EST (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-172.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-25 10:28:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2016-02-20 22:46:19 EST
Description of problem:
Boot into Fedora-Live-Workstation-x86_64-rawhide-20160220.iso with enforcing=0.
SELinux is preventing ModemManager from 'read' accesses on the file passwd.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that ModemManager should be allowed read access on the passwd file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep ModemManager /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:modemmanager_t:s0
Target Context                system_u:object_r:passwd_file_t:s0
Target Objects                passwd [ file ]
Source                        ModemManager
Source Path                   ModemManager
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-171.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.5.0-0.rc4.git3.1.fc24.x86_64 #1
                              SMP Fri Feb 19 19:38:12 UTC 2016 x86_64 x86_64
Alert Count                   1
First Seen                    2016-02-20 22:32:12 EST
Last Seen                     2016-02-20 22:32:12 EST
Local ID                      fb7fc2cf-4cfc-4b23-a98f-844d1cc1271d

Raw Audit Messages
type=AVC msg=audit(1456025532.518:122): avc:  denied  { read } for  pid=1142 comm="ModemManager" name="passwd" dev="dm-0" ino=317067 scontext=system_u:system_r:modemmanager_t:s0 tcontext=system_u:object_r:passwd_file_t:s0 tclass=file permissive=1


Hash: ModemManager,modemmanager_t,passwd_file_t,file,read

Version-Release number of selected component:
selinux-policy-3.13.1-171.fc24.noarch

Additional info:
reporter:       libreport-2.6.4
hashmarkername: setroubleshoot
kernel:         4.5.0-0.rc4.git3.1.fc24.x86_64
type:           libreport

Potential duplicate: bug 1294107
Comment 1 Jan Kurik 2016-02-24 10:27:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Note You need to log in before you can comment on or make changes to this bug.